<?php

/****************************************/
// ИНФОРМАЦИЯ:
// ==== Форум: LogicBoard
// ==== Автор: Никита Курдин (ShapeShifter)
// ==== Copyright © Никита Курдин Игоревич 2011
// ==== Данный код защищен авторскими правами
// ==== Официальный сайт: http://logicboard.ru

/****************************************/

define ( 'LogicBoard', true );
define ( 'LB_MAIN', realpath("../") );
define ( 'LB_CLASS', LB_MAIN . '/components/class' );

require_once LB_CLASS.'/safehtml.php';
$safehtml = new safehtml( );
$safehtml->protocolFiltering = "black";

require_once LB_CLASS.'/safeinput.php';
$safeinput = new safeinput;
$safeinput->safeinput_check();

$info = array ();
$info['user_agent'] = $safehtml->parse($_SERVER['HTTP_USER_AGENT']);
$info['ip'] = $_SERVER['REMOTE_ADDR'];
$info['date'] = time();
$info['file'] = $safehtml->parse($_SERVER['REQUEST_URI']);
$info['request'] = $_REQUEST;

if (file_exists(dirname ( __FILE__ )."/logs.log"))
	$data = "|||".serialize($info);
else
	$data = serialize($info);

unset($safehtml);
unset($safeinput);

$save = fopen( dirname ( __FILE__ )."/logs.log", 'a' );
fwrite( $save, $data );
fclose( $save );
@chmod( dirname ( __FILE__ )."/logs.log", 0644 );

?>